#1709 the winmerge.exe process doesn't stop itself

closed-wont-fix
nobody
Usability (119)
8
2008-07-02
2008-05-28
No

After closing winmerge (red cross on the upper right), the window is closed but the process winmerge.exe is still alive !

When I launch a new winmerge, i get a new winmerge.exe process ... I can have more than 10 processes in the same windows session ...
All processes doesn't stop itself !

I work with winmerge 2.8.0 and windows XP SP2

Discussion

1 2 > >> (Page 1 of 2)
  • Kimmo Varis

    Kimmo Varis - 2008-05-28
    • status: open --> open-duplicate
     
  • Kimmo Varis

    Kimmo Varis - 2008-05-28

    Logged In: YES
    user_id=631874
    Originator: NO

    Thanks for the info.

    There is older report about this issue:
    #1602313 WinMerge stays in tasklist after closing
    http://winmerge.org/bug/1602313

    This is first report against 2.7/2.8 - we thought this was fixed, but apparently not. Unfortunately this is very hard to reproduce for most people, so fixing is hard also.

     
  • Kimmo Varis

    Kimmo Varis - 2008-05-28

    Logged In: YES
    user_id=631874
    Originator: NO

    Any data to how this happens would be very welcome.

    Can you say if this happens only when closing WinMerge in certain way. If it for example happens only when closing WinMerge with ESC key or by selecting Exit from menu? Knowing that would be very good hint how to fix this.

     
  • Jeremie FEBURIE

    Jeremie FEBURIE - 2008-05-28

    Logged In: YES
    user_id=2100589
    Originator: YES

    if i clic the red cross in the upper right corner of the window : the window is closed but the process is still alive
    If i go in the menu "File\Exit" : the window is closed but the process is still alive

    All ways have the same result ...

     
  • Kimmo Varis

    Kimmo Varis - 2008-05-28

    Logged In: YES
    user_id=631874
    Originator: NO

    Thanks, that is good to know.

     
  • Gordon Thompson

    Gordon Thompson - 2008-06-23

    Logged In: YES
    user_id=1156348
    Originator: NO

    It doesn't work for me either. I'm happy to help debug this if necessary...

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-23

    Logged In: YES
    user_id=631874
    Originator: NO

    2.8.4 includes workaround patch (same we added to later 2.8.x releases).

    Any help is welcome with this issue. This only affects some users and we haven't been able to figure out what triggers this and none of developers have seen this issue. :(

    In older item:
    #1602313 WinMerge stays in tasklist after closing
    http://winmerge.org/bug/1602313
    Gal says it is about lost windows message, and the workaround patch seems to confirm it.

    Mystery is how come the message gets lost in some user's machines. One thing to try could be to use SysInternal's process monitor to see if there are any errors or weirdness visible in it.

     
  • Gordon Thompson

    Gordon Thompson - 2008-06-23

    Logged In: YES
    user_id=1156348
    Originator: NO

    I've tried the experimental 2.9.3.1 and 2.8.4 and both exhibit the problem on my machine.

    I'm running XP SP3 (i think the problem occurred in SP2 as well).

    I'm not sure that procmon will help. I've tried running it and filtering on winmergeu but there is nothing obvious in the logs other than the usual registry activity and temporary file stuff..

     
  • Jeremie FEBURIE

    Jeremie FEBURIE - 2008-06-24

    Logged In: YES
    user_id=2100589
    Originator: YES

    I have installed the 2.8.4 release and the problem is still the same ...

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-24

    Logged In: YES
    user_id=631874
    Originator: NO

    Thanks for the info.

    So we have a major problem here. :( Increasing priority.

    If the 2.8.4 didn't fix the problem, it is possible it is now different kind of problem. I have some ideas we could try and can create testing executables later this week.

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-24
    • priority: 5 --> 8
     
  • Kimmo Varis

    Kimmo Varis - 2008-06-24

    Logged In: YES
    user_id=631874
    Originator: NO

    Clearing the dublicate resolution - as it looks this is different problem.

    Another detail which could help - does this happen after every kind of compare? If you compare only two files, compare only two folders, or compare two folders and open two files from folder compare? I assume it is all three cases, but at least it tells it isn't specific to either file compare or folder compare views/documents.

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-24
    • status: open-duplicate --> open
     
  • Gordon Thompson

    Gordon Thompson - 2008-06-24

    Logged In: YES
    user_id=1156348
    Originator: NO

    It happens even if i don't do a compare.

    I simply open winmerge and close it using file/exit or clicking on the cross. Looking in procexp the process still remains..

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-24

    Logged In: YES
    user_id=631874
    Originator: NO

    Thanks, that info helps to narrow down this. Indeed it excludes many possibilities I was thinking of.

    Do you have archive support installed? Any plugins? And single-instance option from options is not set?

     
  • Gordon Thompson

    Gordon Thompson - 2008-06-24

    Logged In: YES
    user_id=1156348
    Originator: NO

    i don't have archive support installed and no plugins to my knowledge. It's just a generic install. I've tried having single-instance turned on but it doens't seem to make a different, the process still doesn't die (the next time i open it another process is created)

     
  • Jeremie FEBURIE

    Jeremie FEBURIE - 2008-06-24

    Logged In: YES
    user_id=2100589
    Originator: YES

    It is exactly the same for me.
    open winmerge without displaying a comparison, close it and the process doesn't die.
    no archive support installed
    no plugin installed too
    single-instance turned off

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-24

    Logged In: YES
    user_id=631874
    Originator: NO

    Thanks again for the info. This helps to limit the possibilities. Do you have a splash screen enabled? That is a bit weird component, so its worth checking..

    I'm looking into integrating extensive logging and for disabling certain things. I hope I can create some test executables in couple of days.

     
  • Gordon Thompson

    Gordon Thompson - 2008-06-24

    Logged In: YES
    user_id=1156348
    Originator: NO

    nope, the splash-screen is disabled

     
  • Jeremie FEBURIE

    Jeremie FEBURIE - 2008-06-25

    Logged In: YES
    user_id=2100589
    Originator: YES

    for me the splash screen was enabled ...
    If I disable it, I have always the same problem ...

    I'm not so impatient ...
    I use winmerge at work but I know that I must kill processes after each comparison ...
    I submitted this incident for you to resolve this problem in a future version ... (I thought it could impact other people than me)
    I don't want much of a free software. It is already very usefull !

     
  • Jeremie FEBURIE

    Jeremie FEBURIE - 2008-06-25

    Logged In: YES
    user_id=2100589
    Originator: YES

    For your information, I work in french

     
  • Gordon Thompson

    Gordon Thompson - 2008-06-25

    Logged In: YES
    user_id=1156348
    Originator: NO

    nope, the splash-screen is disabled

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-25

    Logged In: YES
    user_id=631874
    Originator: NO

    With Gordon's help I got log from WinMerge shutdown:

    my log:
    [..]
    2008-06-25 20:59:40,859 TRACE MyLogger - CMainFrame::~CMainFrame() - enter
    2008-06-25 20:59:40,875 TRACE MyLogger - CMainFrame::~CMainFrame() - leave
    2008-06-25 20:59:40,875 TRACE MyLogger - CMainFrame::OnClose() - leave
    2008-06-25 20:59:40,875 TRACE MyLogger - CMergeApp::ExitInstance() - enter
    2008-06-25 20:59:40,875 TRACE MyLogger - CMergeApp::ExitInstance() - leave

    Your log:
    [..]
    2008-06-25 18:51:53,656 TRACE MyLogger - CMainFrame::~CMainFrame() - enter
    2008-06-25 18:51:53,703 TRACE MyLogger - CMainFrame::~CMainFrame() - leave
    2008-06-25 18:51:53,703 TRACE MyLogger - CMainFrame::OnClose() - leave

    So the code never gets into CMergeApp's ExitInstance() on affected computer.

    Quick googling about "ExitInstance not called" seems to give many results so at least we now have some idea about the actual problem.

    While looking at this, I found at least one problem with splash screen code and submitted a patch:
    #2002738 SplashScreen PostNcDestroy does not call base class
    http://winmerge.org/patch/2002738

    Does not fix this problem yet.

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-25

    Logged In: YES
    user_id=631874
    Originator: NO

    One thing could be testing some older WinMerge releases if there is a working version. I think 2.4.0 should be ok, but nobody has confirmed it yet. If it has problem, then try 2.2.0. If we could narrow down the release where this problem starts that could also help solving this. I can make older beta/testing releases available if somebody wants to try them.

     
  • Kimmo Varis

    Kimmo Varis - 2008-06-30

    Logged In: YES
    user_id=631874
    Originator: NO

    Ok, Gordon tested that this bug appeared between experimental versions 2.1.5.6 and 2.1.5.7.

    There are 16 commits between those, most of those looking innocent. Commits are listed in wiki status page:
    http://winmerge.org/Wiki/Bug_1976241

     
1 2 > >> (Page 1 of 2)

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks